diff a/src/java.base/share/classes/javax/security/auth/Subject.java b/src/java.base/share/classes/javax/security/auth/Subject.java
--- a/src/java.base/share/classes/javax/security/auth/Subject.java
+++ b/src/java.base/share/classes/javax/security/auth/Subject.java
@@ -298,11 +298,11 @@
      *      not installed or the current subject is set to {@code null}.
      * @see #callAs(Subject, Callable)
      * @since 18
      */
     public static Subject current() {
-        return SCOPED_SUBJECT.orElse(null);
+        return SCOPED_SUBJECT.isBound() ? SCOPED_SUBJECT.get() : null;
     }
 
     /**
      * Executes a {@code Callable} with {@code subject} as the
      * current subject.
